package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * 封装商品动销-商品动销趋势Vo对象
 * @author wuxy
 */
@NoArgsConstructor
@Data
public class GoodsSalesTrendVO {

    @ApiModelProperty("新增商品数列表")
    private List<MovableGoodsVO> newGoodsList = new ArrayList<>();

    @ApiModelProperty("动销商品数列表")
    private List<MovableGoodsVO> movableGoodsList = new ArrayList<>();

    @ApiModelProperty("下单数列表")
    private List<MovableGoodsVO> orderNumList = new ArrayList<>();

    @ApiModelProperty("支付订单数列表")
    private List<MovableGoodsVO> orderPayNumList = new ArrayList<>();

    @ApiModelProperty("下单金额列表")
    private List<MovableGoodsVO> orderAmountList = new ArrayList<>();

    @ApiModelProperty("支付金额列表")
    private List<MovableGoodsVO> orderPayAmountList = new ArrayList<>();

}
